package geneticWedge.gp;

/**Constant is a type of terminal within a GP subtree. It always outputs the same value.*/
public class Constant extends Terminal
{
	/**The constructor sets the value of a Constant. It cannot be changed once it has been set.*/
	public Constant(double val)
	{
		value=val;
	}

	/**Returns the value output by this Constant object.*/
	public double getValue()
	{
		return value;
	}

	public String toString()
	{
		return ""+value;
	}

	/**Returns true if this Constant has the same numerical value as the comparison object.*/
	public boolean equals(Constant comparison)
	{
		if(comparison.getValue() == value)
			return true;
		else
			return false;
	}
}