package geneticWedge.gp;

/**This Exception is thrown if mutation or reproduction rates are set outside the range [0,1].
It will also be thrown if the combined mutation and reproduction rate is more than 1.0, unless allowCombinedOps is <em>true</em>.*/
public class IllegalMutationReproductionRatesException extends Exception
{
	public String getMessage()
	{
		return "Attempt to apply illegal mutation or reproduction rates. Both rates must be 0.0 and 1.0 (inclusive) as must the combined mutation/reproduction rate.";
	}
}