package geneticWedge.gp;

/**A Terminal with a variable value. Note that an Input's value will be set by a Population or Individual object
when evaluating outputs in response to particular input values. An Input's value should not be set directly by users.*/
public class Input extends Terminal
{
	private String inputName;

	/**Note: users must ensure that input name is unique, to allow identification of input.*/
	public Input(String inputName)
	{
		this.inputName=inputName;
	}

	/**Note: user must ensure that input number is unique, to allow identification of input*/
	public Input(int inputNumber)
	{
		this.inputName="I"+inputNumber;
	}

	/*Sets the value of this Input. Note that this method has friendly rather than public access. It should only be called
	by other members of the gp package in order to calculate an Individual's output in response to different inputs.*/
	/*void setValue(double val)
	{
		value=val;
	}*/
	public void setValue(double val)
	{
		value=val;
	}
	/**Returns a String representation of this object*/
	public String toString()
	{
		return inputName;
	}
}