package gp.dataAnalysis;

import java.util.Random;

public class MetropolisHastings
{
	public static Random rand = new Random();

	public static void main(String args[])
	{
		int noSamples = 100;
		double[] fitnesses = new double[noSamples];
		fitnesses[0] = rand.nextDouble();
		for (int i=1;i<noSamples;i++)
		{
			double fitness = rand.nextDouble();
			boolean accept = acceptValue(fitnesses[i-1],fitness, false);
			while(!accept)
			{
				fitness = rand.nextDouble();
				accept = acceptValue(fitnesses[i-1],fitness, false);
			}
			fitnesses[i]=fitness;
		}
		System.out.println("Fitness values:");
		double average = 0.0;
		for(int i=0;i<noSamples;i++)
		{
			System.out.println((i+1)+": "+fitnesses[i]);
			average+=fitnesses[i];
		}
		average /= noSamples;
		System.out.println("Average fitness: "+average);
	}

	public static boolean acceptValue(double oldVal, double newVal, boolean maximiseVal)
	{
		if(maximiseVal && newVal>=oldVal)
			return true;
		else
		{
			double ratio = newVal/oldVal;
			if(!maximiseVal)
				ratio = 1.0 / ratio;
			double selector = rand.nextDouble();
			if(selector<ratio)
				return true;
			else
				return false;
		}
	}
}