package geneticWedge.gp.display;

import geneticWedge.gp.*;
import geneticWedge.gp.function.*;
import javax.swing.*;
import java.awt.*;
import java.util.*;

/**DisplayTree is a demo program that displays randomly generated GP trees in a TreeFrame.*/
public class DisplayTree
{
	public static void main(String args[])
	{
		Function[] functions = new Function[]{new MultiplicationFunction(), new AdditionFunction(), new DivisionFunction(), new SubtractionFunction(),new SineFunction(), new CosineFunction(),new LogFunction()};
		Input[] inputs = new Input[10];
		Constant[] constants = new Constant[10];
		for(int i=1;i<=10;i++)
		{
			inputs[i-1]=new Input("X"+i);
			constants[i-1]=new Constant(i);
		}
		Individual ind = null;
		TreeFrame tf=null;
		try
		{
			ind = new Individual(IndividualDescriptor.IndividualGrowMethod.GROW, 5,2, functions, inputs, constants,0.8);
			tf = new TreeFrame(ind, "Best tree");
		}
		catch(InvalidFractionException ife)
		{
			ife.printStackTrace();
		}
		java.util.Timer timer = new java.util.Timer();

		UpdateFrame uf=new UpdateFrame(tf, functions, inputs, constants);
		timer.schedule(uf,3000,3000);
	}
}