package geneticWedge.gp.display;

import geneticWedge.gp.*;
import geneticWedge.gp.function.*;
import javax.swing.*;
import java.awt.*;
import java.util.Vector;

/**TreeFrame is a JFrame that holds a TreePanel and displays GP trees.*/
public class TreeFrame extends JFrame
{
	private TreePanel panel=null;

	/**Constuctor takes an Individual and a title String.*/
	public TreeFrame(Individual ind, String title)
	{
		super(title);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		panel=new TreePanel(ind);
		panel.setBackground(Color.WHITE);

		setContentPane(panel);
		setSize(panel.getPanelSize());
		setVisible(true);
	}

	/**update replaces the displayed Individual with the new Individual <i>ind</i>.*/
	public void update(Individual ind)
	{
		panel.update(ind);
		setSize(panel.getPanelSize());
		repaint();
	}
}
