package geneticWedge.gp.display;

import geneticWedge.gp.*;
import geneticWedge.gp.function.*;
import javax.swing.*;
import java.awt.*;
import java.util.*;

/**UpdateFrame updates a TreeFrame by replacing the displayed Individual with a new randomly generated Individual
at 3-second intervals. It is called by the demo program DisplayTree.*/
public class UpdateFrame extends TimerTask
{
	private Individual ind = null;
	private TreeFrame tf = null;
	private Function[] functions;
	private Input[] inputs;
	private Constant[] constants;

	public UpdateFrame(TreeFrame treeFrame, Function[]functions, Input[] inputs, Constant[] constants)
	{
		tf=treeFrame;
		this.functions = functions;
		this.inputs = inputs;
		this.constants = constants;
	}

	public void run()
	{
		try
		{
			ind = new Individual(IndividualDescriptor.IndividualGrowMethod.GROW, 5,2, functions, inputs, constants,0.8);
			tf.update(ind);
		}
		catch(InvalidFractionException ife)
		{
			ife.printStackTrace();
		}
	}
}