/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package geneticWedge.gp.events;

import java.util.*;
import geneticWedge.gp.*;

/**
 *
 * @author mcdssso
 * An event that informs the listener that a new generation has been created.
 * It encapsulates some statistic about the generation:
 *  The Generation Number;
 *  The Best Training Fitness;
 *  The Best Validation Fitness;
 *  The Best Individual;
 */
public class GPGenerationEvent extends EventObject {


    private double BestTrainingFitness;
    private double BestValidationFitness;
    private int GenerationNumber;
    private Individual BestIndividual;

    public GPGenerationEvent(Object objSource) {
        super(objSource);
    }

    public double getBestTrainingFitness() {
        return BestTrainingFitness;
    }

    public double getBestValidationfitness() {
        return BestValidationFitness;
    }

    public int getGenerationNumber() {
        return GenerationNumber;
    }

    public Individual getBestIndividual() {
        return BestIndividual;
    }


    public void setBestTrainingFitness(double d) {
        BestTrainingFitness=d;
    }

    public void setBestValidationfitness(double d) {
        BestValidationFitness=d;
    }

    public void setGenerationNumber(int i) {
        GenerationNumber=i;
    }

    public void setBestIndividual(Individual creature) {
        BestIndividual=creature.clone();
    }
}
