package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**AdditionFunction is a Function that takes 2 inputs and outputs their sum as an output.*/
public class AdditionFunction extends TwoInputFunction
{
	/**Constructor*/
	public AdditionFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 2.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=2)
			throw new InvalidInputSizeException();
		else
		{
			double out=input[0]+input[1];
			if(Double.isInfinite(out)||Double.isNaN(out))
				return 0.0;
			else
				return out;
		}
	}

	/**Returns a String representation of an AdditionFunction object ('+').*/
	public String toString()
	{
		return "+";
	}

	/**Returns true*/
	public boolean isCommutative()
	{
		return true;
	}
}