package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**CosineFunction is a Function that takes 1 input and outputs its cosine as an output.*/
public class CosineFunction extends OneInputFunction
{
	/**constructor*/
	public CosineFunction()
	{
		super();
		complexity = 2;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 1.
	@param input The single input has units of radians*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=1)
			throw new InvalidInputSizeException();
		return Math.cos(input[0]);
	}

	/**Returns a String representation of a CosineFunction object ('cos').*/
	public String toString()
	{
		return "cos";
	}
}