package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**DivisionFunction is a Function that takes 2 inputs and outputs the first divided by the second.*/
public class DivisionFunction extends TwoInputFunction
{
	/**constructor*/
	public DivisionFunction()
	{
		super();
		complexity = 0;
	}

	/**This method performs protected division. Division by 0.0 therefore results in an output of 0.0 (not NaN).*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=2)
			throw new InvalidInputSizeException();
		double out=input[0]/input[1];
		if(Double.isNaN(out)||Double.isInfinite(out))
		{
			//System.err.println("NaN");
			return 0.0;
		}
		else
			return out;
	}

	/**Returns a String representation of a DivisionFunction object ('').*/
	public String toString()
	{
		//return "/";
		return "\u00F7";
		//return "";
	}

	/**Returns false*/
	public boolean isCommutative()
	{
		return false;
	}
}