package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**ExponentialFunction is a Function that takes 1 input and outputs e^x as its output*/
public class ExponentialFunction extends OneInputFunction
{
	/**constructor*/
	public ExponentialFunction()
	{
		super();
		complexity = 2;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 1.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=1)
			throw new InvalidInputSizeException();
		else
		{
			double out=Math.exp(input[0]);
			if(Double.isInfinite(out)||Double.isNaN(out))
				return 0.0;
			else
				return out;
		}
	}

	/**Returns a String representation of an ExponentialFunction object ('exp').*/
	public String toString()
	{
		return "exp";
	}
}