package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**A unary function that returns +1 if its input is greater than or equal to zero, -1 otherwise.*/
public class GREATER_THAN_EQUAL_ZEROFunction extends OneInputFunction
{
	/**constructor*/
	public GREATER_THAN_EQUAL_ZEROFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 1.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=1)
			throw new InvalidInputSizeException();
		if(input[0]>=0.0)
			return 1.0;
		else
			return -1.0;
	}

	/**Returns a String representation of a GREATER_THAN_EQUAL_ZEROFunction object ('>=ZERO').*/
	public String toString()
	{
		return ">=ZERO";
	}
}