package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**IFFunction is a unary function that returns +1 if the input is greater than 0, -1 otherwise.
It is functionally equivalent to GREATER_THAN_ZEROFunction.*/
public class IFFunction extends OneInputFunction
{
	/**constructor*/
	public IFFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 1.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=1)
			throw new InvalidInputSizeException();
		if(input[0]>0.0)
			return 1.0;
		else
			return -1.0;
	}

	/**Returns a String representation of an IFFunction object ('IF').*/
	public String toString()
	{
		return "IF";
	}
}