package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**IdentityFunction passes on a unary input unchanged*/
public class IdentityFunction extends OneInputFunction
{
	/**constructor*/
	public IdentityFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 1.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=1)
			throw new InvalidInputSizeException();
		return input[0];
	}

	/**Returns a String representation of an IdentityFunction object ('ident').*/
	public String toString()
	{
		return "ident";
	}
}