package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**InverseFunction takes a single input and returns the inverse value (1/x).*/
public class InverseFunction extends OneInputFunction
{
	/**constructor*/
	public InverseFunction()
	{
		super();
		complexity = 1;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 1.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=1)
			throw new InvalidInputSizeException();
		if(input[0]==0.0)
			return 0.0; //avoid NaN
		else
		{
			double out = 1.0/input[0];
			if(Double.isInfinite(out)||Double.isNaN(out))
				return 0.0;
			else
				return out;
		}
	}

	/**Returns a String representation of an InverseFunction object ('inv').*/
	public String toString()
	{
		return "inv";
	}
}