package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**A unary function that returns the natural logarithm of the absolute value of the input*/
public class LogFunction extends OneInputFunction
{
	/**constructor*/
	public LogFunction()
	{
		super();
		complexity = 2;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 1.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=1)
			throw new InvalidInputSizeException();
		if(input[0]==0.0)
			return 0.0;
		else
		{
			double out=Math.log(Math.abs(input[0]));
			if(Double.isInfinite(out)||Double.isNaN(out))
				return 0.0;
			else
				return out;
		}
	}


	/**Returns a String representation of a LogFunction object ('ln').*/
	public String toString()
	{
		return "ln";
	}
}