package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**MaxFunction is a Function that takes 2 inputs and outputs the larger of the two.*/
public class MaxFunction extends TwoInputFunction
{
	/**constructor*/
	public MaxFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 2.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=2)
			throw new InvalidInputSizeException();
		else
		{
			return Math.max(input[0],input[1]);
		}
	}

	/**Returns a String representation of a MaxFunction object ('MAX').*/
	public String toString()
	{
		return "MAX";
	}

	/**Returns true*/
	public boolean isCommutative()
	{
		return true;
	}
}