package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**MinFunction is a Function that takes 2 inputs and outputs the lesser of the two.*/
public class MinFunction extends TwoInputFunction
{
	/**constructor*/
	public MinFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 2.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=2)
			throw new InvalidInputSizeException();
		else
		{
			return Math.min(input[0],input[1]);
		}
	}

	/**Returns a String representation of a MinFunction object ('MIN').*/
	public String toString()
	{
		return "MIN";
	}

	/**Returns true*/
	public boolean isCommutative()
	{
		return true;
	}
}