package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**MultiplicationFunction is a Function that takes 2 inputs and outputs their product as an output.*/
public class MultiplicationFunction extends TwoInputFunction
{
	/**constructor*/
	public MultiplicationFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 2.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=2)
			throw new InvalidInputSizeException();
		else
		{
			double out=input[0]*input[1];
			if(Double.isInfinite(out)||Double.isNaN(out))
				return 0.0;
			else
				return out;
		}
	}

	/**Returns a String representation of a MultiplicationFunction object ('').*/
	public String toString()
	{
		//return "*";
		return "\u00D7";
		//return "";
	}

	/**Returns true*/
	public boolean isCommutative()
	{
		return true;
	}
}