package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**A binary function that returns -1 if both inputs are greater than zero, 1 otherwise.*/
public class NANDFunction extends TwoInputFunction
{
	/**constructor*/
	public NANDFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 2.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=2)
			throw new InvalidInputSizeException();
		if(input[0]>0.0 && input[1]>0.0)
			return -1.0;
		else
			return 1.0;
	}

	/**Returns a String representation of a NANDFunction object ('NAND').*/
	public String toString()
	{
		return "NAND";
	}

	/**Returns true*/
	public boolean isCommutative()
	{
		return true;
	}
}