package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**NOTFunction is a unary function that returns true if its input is less than or equal to zero, -1 otherwise.
It is functionally equivalent to LESS_THAN_EQUAL_ZEROFunction*/
public class NOTFunction extends OneInputFunction
{
	/**constructor*/
	public NOTFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 1.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=1)
			throw new InvalidInputSizeException();
		if(input[0]<=0.0)
			return 1.0;
		else
			return -1.0;
	}

	/**Returns a String representation of a NOTFunction object ('NOT').*/
	public String toString()
	{
		return "NOT";
	}
}