package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**ORFunction is a Function that takes 2 inputs and outputs +1 if at least one of them is positive, -1 otherwise.*/
public class ORFunction extends TwoInputFunction
{
	/**constructor*/
	public ORFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 2.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=2)
			throw new InvalidInputSizeException();
		if(input[0]>0.0 || input[1]>0.0)
			return 1.0;
		else
			return -1.0;
	}

	/**Returns a String representation of an ORFunction object ('OR').*/
	public String toString()
	{
		return "OR";
	}

	/**Returns true*/
	public boolean isCommutative()
	{
		return true;
	}
}