package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**Abstract parent of all unary functions. Subclasses should throw an InvalidInputSizeException if the length of the array
sent to getOutput() is not 1.*/
public abstract class OneInputFunction extends Function
{
	/**The constructor sets the number of inputs required to 1*/
	public OneInputFunction()
	{
		noOfInputs=1;
	}

	/**This constructor allows the creation of Functions with assigned complexity values, rather than the default values.
	This may be used to give priority to chosen functions (by giving them a low complexity value) in conjunction with
	the use of the FUNCTION_COMPLEXITY PerformanceFunction in Population.*/
	public OneInputFunction(int complexity)
	{
		this();
		this.complexity = complexity;
	}
}