package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**PowerFunction is a Function that takes 2 inputs and outputs the first raised to the power of the second.*/
public class PowerFunction extends TwoInputFunction
{
	/**constructor*/
	public PowerFunction()
	{
		super();
		complexity = 3;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 2. Note: if the output is too large to be
	represented as a double, 0.0 will be returned.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=2)
			throw new InvalidInputSizeException();
		else
		{
			double out=Math.pow(input[0],input[1]);
			if(Double.isInfinite(out)||Double.isNaN(out))
				return 0.0;
			else
				return out;
		}
	}

	/**Returns a String representation of a PowerFunction object ('^').*/
	public String toString()
	{
		return "^";
	}

	/**Returns false*/
	public boolean isCommutative()
	{
		return false;
	}
}