package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**SineFunction is a Function that takes 1 input and outputs its sine as an output.*/
public class SineFunction extends OneInputFunction
{
	/**constructor*/
	public SineFunction()
	{
		super();
		complexity = 2;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 1.
	@param input The single input has units of radians*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=1)
			throw new InvalidInputSizeException();
		return Math.sin(input[0]);
	}

	/**Returns a String representation of a SineFunction object ('sin').*/
	public String toString()
	{
		return "sin";
	}
}