package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**SqrtFunction is a Function that takes 1 input and outputs the square root of its absolute value as the output.*/
public class SqrtFunction extends OneInputFunction
{
	/**constructor*/
	public SqrtFunction()
	{
		super();
		complexity = 1;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 1.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=1)
			throw new InvalidInputSizeException();
		return Math.sqrt(Math.abs(input[0]));
	}

	/**Returns a String representation of a SqrtFunction object ('sqrt').*/
	public String toString()
	{
		return "sqrt";
		//return "\u221A";
	}
}