package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**SubtractionFunction is a Function that takes 2 inputs and outputs their difference as an output.*/
public class SubtractionFunction extends TwoInputFunction
{
	/**constructor*/
	public SubtractionFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 2.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=2)
			throw new InvalidInputSizeException();
		else
		{
			double out=input[0]-input[1];
			if(Double.isInfinite(out)||Double.isNaN(out))
				return 0.0;
			else
				return out;
		}
	}

	/**Returns a String representation of a SubtractionFunction object ('-').*/
	public String toString()
	{
		return "-";
	}

	/**Returns false*/
	public boolean isCommutative()
	{
		return false;
	}
}