package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**TanFunction is a Function that takes 1 input and outputs its tangent as an output.*/
public class TanFunction extends OneInputFunction
{
	/**constructor*/
	public TanFunction()
	{
		super();
		complexity = 2;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 1.
	@param input The single input has units of radians*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=1)
			throw new InvalidInputSizeException();
		return Math.tan(input[0]);
	}

	/**Returns a String representation of a TanFunction object ('tan').*/
	public String toString()
	{
		return "tan";
	}
}