package geneticWedge.gp.function;

import geneticWedge.gp.*;

/**XORFunction is the 'exclusive or' function. It that takes 2 inputs and outputs +1 if just one of them is positive, -1 otherwise.*/
public class XORFunction extends TwoInputFunction
{
	/**constructor*/
	public XORFunction()
	{
		super();
		complexity = 0;
	}

	/**getOutput() throws InvalidInputSizeException if the length of the input array is not 2.*/
	public double getOutput(double[] input) throws InvalidInputSizeException
	{
		if(input.length!=2)
			throw new InvalidInputSizeException();
		if(input[0]>0.0 && input[1]<=0.0)
			return 1.0;
		else if (input[0]<=0.0 && input[1]>0.0)
			return 1.0;
		else
			return -1.0;
	}

	/**Returns a String representation of an ORFunction object ('XOR').*/
	public String toString()
	{
		return "XOR";
	}

	/**Returns true*/
	public boolean isCommutative()
	{
		return true;
	}
}